%define Werror_cflags	%nil

Name:		rott
Version:	1.1.2
Release:	4
Summary:	Rise of the Triad
Group:		Games/Arcade
License:	GPL
URL:		http://icculus.org/rott/
Source0:	http://icculus.org/rott/releases/%{name}-%{version}.tar.gz
Source1:	%{name}-shareware.sh
Source2:	%{name}-registered.sh
Source3:	%{name}.autodlrc
Source4:	%{name}-shareware.desktop
Source5:	%{name}-registered.desktop
Source6:	%{name}.png
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)

%description
This is the icculus.org Linux port of Apogee's classic 3d shooter
Rise of the Triad, which has been released under the GPL by Apogee.
This version is enhanced with the 'high' resolution rendering from
the winrott port.

%package shareware
Summary:	Rise of the Triad shareware version
Group:		Games/Arcade
Requires:	autodownloader

%description shareware
This is the icculus.org Linux port of Apogee's classic 3d shooter
Rise of the Triad (RotT), which has been released under the GPL by
Apogee. This version is enhanced with the 'high' resolution
rendering from the winrott port.

This package contains the engine for the shareware version of RotT.
In order to play the shareware version, you will need the shareware
datafiles. Which can be freely downloaded from Apogee/3DRealms, but
cannot be distributed as a package. When you start RotT for the
first time it will offer to download the datafiles for you.

%package registered
Summary:	Rise of the Triad registered version
Group:		Games/Arcade
Requires:	zenity

%description registered
This is the icculus.org Linux port of Apogee's classic 3d shooter
Rise of the Triad (RotT), which has been released under the GPL by
Apogee. This version is enhanced with the 'high' resolution
rendering from the winrott port.

This package contains the engine for the registered version of RotT.
If you own the registered version, this allows you to play the
registered version under Linux. Place the registered RotT datafiles
in a dir and start rott-registered from this dir.

%prep
%setup -q

%build
pushd rott
	%make EXTRACFLAGS="%{optflags} -Wno-unused -Wno-pointer-sign -fno-strict-aliasing"
	mv %{name} %{name}-shareware.bin

	make clean
	%make SHAREWARE=0 EXTRACFLAGS="%{optflags} -Wno-unused -Wno-pointer-sign -fno-strict-aliasing"
	mv %{name} %{name}-registered.bin
popd

%install
# no make install target, DIY
install -dm 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}/%{name}-* %{buildroot}%{_gamesbindir}
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/%{name}-shareware
install -m 755 %{SOURCE2} %{buildroot}%{_gamesbindir}/%{name}-registered

# the autodownloader-stuff
install -dm 755 %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 %{SOURCE3} %{buildroot}%{_gamesdatadir}/%{name}

# desktop file and icon stuff
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE6} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m 644 %{SOURCE6} %{buildroot}%{_datadir}/pixmaps/%{name}-shareware.png

install -dm 755 %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications

install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/applications

# man-page
install -dm 755 %{buildroot}%{_mandir}/man6
install -m 644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}-shareware.6
install -m 644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}-registered.6

%files shareware
%doc README doc/*.txt
%{_gamesbindir}/%{name}-shareware*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/rott.autodlrc
%{_mandir}/man6/%{name}-shareware.6*
%{_datadir}/applications/%{name}-shareware.desktop
%{_datadir}/pixmaps/%{name}-shareware.png

%files registered
%doc README doc/*.txt
%{_gamesbindir}/%{name}-registered*
%dir %{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}-registered.6*
%{_datadir}/applications/%{name}-registered.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.2-4
- (be83d9d) MassBuild#1250: Increase release tag


